Bug 322971 - kernel oops/bug
kernel oops/bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 06:09 EDT by Jakub Hrozek
Modified: 2009-12-14 15:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (7.30 KB, application/x-gzip)
2007-10-08 06:09 EDT, Jakub Hrozek
no flags Details

  None (edit)
Description Jakub Hrozek 2007-10-08 06:09:35 EDT
Description of problem:
On my machine, I sometimes get a kernel oops raised when cron is crunching 
updatedb. The call trace follows:

----
Oct  6 04:43:00 jarilo kernel: BUG: unable to handle kernel paging request at 
virtual address e1646000
Oct  6 04:43:00 jarilo kernel:  printing eip:
Oct  6 04:43:00 jarilo kernel: c10bc167
Oct  6 04:43:00 jarilo kernel: 058aa000 -> *pde = 00000000:4bac1001
Oct  6 04:43:00 jarilo kernel: 2a449000 -> *pme = 00000000:7c0fc067
Oct  6 04:43:00 jarilo kernel: 000fc000 -> *pte = 00000000:00000000
Oct  6 04:43:00 jarilo kernel: Oops: 0000 [#1]
Oct  6 04:43:00 jarilo kernel: SMP
Oct  6 04:43:00 jarilo kernel: last sysfs 
file: /devices/pci0000:00/0000:00:00.0/irq
Oct  6 04:43:00 jarilo kernel: Modules linked in: vfat fat usb_storage nfsd 
exportfs ppdev lp loop appletalk ipx p8023 netbk xenblktap blkbk bridge 
autofs4
xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables hidp nfs nfs_acl 
rfcomm l2cap bluetooth lockd sunrpc dm_mirror dm_multipath dm_mod video sbs 
i2c_e
c dock button battery asus_acpi backlight ac ipv6 snd_intel8x0 snd_ac97_codec 
ac97_bus snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device s
nd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc 
serial_core parport_pc parport iTCO_wdt iTCO_vendor_support tg3 i2c_i801 
serio_raw i
2c_core pcspkr floppy sr_mod cdrom sg ata_piix ata_generic libata sd_mod 
scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Oct  6 04:43:00 jarilo kernel: CPU:    0
Oct  6 04:43:00 jarilo kernel: EIP:    0061:[<c10bc167>]    Not tainted VLI
Oct  6 04:43:00 jarilo kernel: EFLAGS: 00210202   (2.6.20-2931.fc7xen #1)
Oct  6 04:43:00 jarilo kernel: EIP is at selinux_sb_copy_data+0x1f/0x1a5
Oct  6 04:43:00 jarilo kernel: eax: ee49af20   ebx: c12d54c0   ecx: 00000387   
edx: e1645e1c
Oct  6 04:43:00 jarilo kernel: esi: e1646000   edi: d171e1e4   ebp: e1645cbc   
esp: e1645c94
Oct  6 04:43:00 jarilo kernel: ds: 007b   es: 007b   ss: 0069
Oct  6 04:43:00 jarilo kernel: Process updatedb (pid: 18594, ti=e1645000 
task=c0c06070 task.ti=e1645000)
Oct  6 04:43:00 jarilo kernel: Stack: e1645e1c c1081640 00000000 e9d2bfbd 
d171e000 eb0eabc0 ee49af20 c12d54c0
Oct  6 04:43:00 jarilo kernel:        eb0eabc0 ee49af20 e1645ce4 c1070657 
ee4744b8 eab2e080 e9d2bfbd 00000000
Oct  6 04:43:00 jarilo kernel:        d171e000 e9d2bfbd e1645f58 e9d2b000 
e1645e48 ee4746e1 e1645e1c 00001000
Oct  6 04:43:00 jarilo kernel: Call Trace:
Oct  6 04:43:00 jarilo kernel:  [<c1005e4a>] show_trace_log_lvl+0x1a/0x2f
Oct  6 04:43:00 jarilo kernel:  [<c1005efa>] show_stack_log_lvl+0x9b/0xa3
Oct  6 04:43:00 jarilo kernel:  [<c1006096>] show_registers+0x194/0x26a
Oct  6 04:43:00 jarilo kernel:  [<c10062a6>] die+0x13a/0x24f
Oct  6 04:43:00 jarilo kernel:  [<c11fd871>] do_page_fault+0xae3/0xc07
Oct  6 04:43:00 jarilo kernel:  [<c11fbb5d>] error_code+0x35/0x3c
Oct  6 04:43:00 jarilo kernel:  [<c1070657>] vfs_kern_mount+0x66/0xf1
Oct  6 04:43:00 jarilo kernel:  [<ee4746e1>] nfs_follow_mountpoint+0x19e/0x27d 
[nfs]
Oct  6 04:43:00 jarilo kernel:  [<c1076f33>] __link_path_walk+0x95d/0xc7a
Oct  6 04:43:00 jarilo kernel:  [<c107729b>] link_path_walk+0x4b/0xc0
Oct  6 04:43:00 jarilo kernel:  [<c10775c5>] do_path_lookup+0x191/0x1e2
Oct  6 04:43:00 jarilo kernel:  [<c1077dc0>] __user_walk_fd+0x32/0x44
Oct  6 04:43:01 jarilo kernel:  [<c1077f05>] __user_walk+0x17/0x19
Oct  6 04:43:01 jarilo kernel:  [<c106e09d>] sys_chdir+0x1a/0x59
Oct  6 04:43:01 jarilo kernel:  [<c1005660>] syscall_call+0x7/0xb
Oct  6 04:43:01 jarilo kernel:  =======================
Oct  6 04:43:01 jarilo kernel: Code: 89 42 10 5a 89 c8 59 5b 5e 5f 5d c3 55 89 
e5 57 56 53 83 ec 1c 89 55 d8 89 4d e8 f6 40 04 02 74 11 b9 00 04 00 00 8b 7d
 e8 89 d6 <f3> a5 e9 63 01 00 00 b8 d0 00 00 00 e8 61 72 f9 ff 89 45 dc b8
Oct  6 04:43:01 jarilo kernel: EIP: [<c10bc167>] 
selinux_sb_copy_data+0x1f/0x1a5 SS:ESP 0069:e1645c94
Oct  6 04:43:01 jarilo kernel:  <3>BUG: sleeping function called from invalid 
context at kernel/rwsem.c:20
Oct  6 04:43:01 jarilo kernel: in_atomic():0, irqs_disabled():1
Oct  6 04:43:01 jarilo kernel: no locks held by updatedb/18594.
Oct  6 04:43:01 jarilo kernel:  [<c1005e4a>] show_trace_log_lvl+0x1a/0x2f
Oct  6 04:43:01 jarilo kernel:  [<c10063fc>] show_trace+0x12/0x14
Oct  6 04:43:01 jarilo kernel:  [<c1006480>] dump_stack+0x16/0x18
Oct  6 04:43:01 jarilo kernel:  [<c1019ffb>] __might_sleep+0xda/0xe1
Oct  6 04:43:01 jarilo kernel:  [<c1033c3d>] down_read+0x18/0x51
Oct  6 04:43:01 jarilo kernel:  [<c10400ca>] acct_collect+0x3b/0x145
Oct  6 04:43:01 jarilo kernel:  [<c10228b2>] do_exit+0x1c1/0x721
Oct  6 04:43:01 jarilo kernel:  [<c1006395>] die+0x229/0x24f
Oct  6 04:43:01 jarilo kernel:  [<c11fd871>] do_page_fault+0xae3/0xc07
Oct  6 04:43:01 jarilo kernel:  [<c11fbb5d>] error_code+0x35/0x3c
Oct  6 04:43:01 jarilo kernel:  [<c1070657>] vfs_kern_mount+0x66/0xf1
Oct  6 04:43:01 jarilo kernel:  [<ee4746e1>] nfs_follow_mountpoint+0x19e/0x27d 
[nfs]
Oct  6 04:43:01 jarilo kernel:  [<c1076f33>] __link_path_walk+0x95d/0xc7a
Oct  6 04:43:01 jarilo kernel:  [<c107729b>] link_path_walk+0x4b/0xc0
Oct  6 04:43:01 jarilo kernel:  [<c10775c5>] do_path_lookup+0x191/0x1e2
Oct  6 04:43:01 jarilo kernel:  [<c1077dc0>] __user_walk_fd+0x32/0x44
Oct  6 04:43:01 jarilo kernel:  [<c1077f05>] __user_walk+0x17/0x19
Oct  6 04:43:01 jarilo kernel:  [<c106e09d>] sys_chdir+0x1a/0x59
Oct  6 04:43:01 jarilo kernel:  [<c1005660>] syscall_call+0x7/0xb
Oct  6 04:43:01 jarilo kernel:  =======================
----

Other that the crontab jobs, there was nothing the box was doing. FTR, there 
was a RHEL4 paravirt guest, but idling at the time (notice the oops occured at 
4 AM).

Version-Release number of selected component (if applicable):
2.6.20-2931.fc7xen

How reproducible:
rarely

Steps to Reproduce:
1. let the updatedb run
2. see the oops


Additional info:
Attached is gzipped /var/log/messages
Comment 1 Jakub Hrozek 2007-10-08 06:09:35 EDT
Created attachment 219511 [details]
/var/log/messages
Comment 2 Bug Zapper 2008-05-14 10:39:42 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:36:14 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.